.tank-change-event-icon {
  background-image: url(/static/game/tank-gray@3x.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  width: 100%;
  height: 100%;
}

.tank-change-event-title {
  font-weight: bold;
  font-size: 14px;
  line-height: 16px;
}
.tank-change-event-title .tank-type {
  color: #009EE0;
  font-weight: bold;
}

.tank-change-event-subtitle {
  font-size: 12px;
  line-height: 14px;
}
.tank-change-event-subtitle .key {
  font-weight: bold;
}
.large-icon-event-view {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0 10px;
  gap: 10px;
  background: #FFFFFF;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.5);
  border-radius: 13px;
  right: 10px;
  transition: bottom 0.3s, opacity 0.5s;
}
.large-icon-event-view .event-icon {
  width: 72px;
  height: 72px;
}
.large-icon-event-view .event-text {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 10px 5px;
  gap: 6px;
  width: 280px;
}
.self-destruct-event-icon {
  background-image: url(/static/game/tank-gray@3x.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: 42px;
  width: 100%;
  height: 100%;
}
.self-destruct-event-icon .arc-canvas {
  width: 100%;
  height: 100%;
}

.self-destruct-event-title {
  font-size: 20px;
  font-weight: bold;
  line-height: 16px;
}

.self-destruct-event-subtitle {
  font-size: 12px;
  line-height: 14px;
}
.self-destruct-event-subtitle .key {
  font-weight: bold;
}
.player-nicks-overlay .nick-block {
  position: absolute;
  font-weight: bold;
  background: #ffffff;
  padding: 3px 9px;
  border-radius: 7px;
  opacity: 0.75;
}

.player-nicks-overlay {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}
.tank-info-hud .speed-info-container .gear-text {
  position: absolute;
  height: 15px;
  right: 5px;
  top: 5px;
  padding-right: 15px;
  font-weight: 700;
  font-size: 13px;
  line-height: 15px;
  text-align: center;
  background-image: url(/static/game/gear@3x.png);
  background-position: 100% center;
  background-size: 11px;
  background-repeat: no-repeat;
  color: #A8A8A8;
}
.tank-info-hud .speed-info-container .speed-text {
  position: absolute;
  height: 31px;
  left: 0;
  width: 100%;
  top: 32px;
  font-weight: 700;
  font-size: 24px;
  text-align: center;
  color: #000000;
}
.tank-info-hud .speed-info-container .metric-text {
  position: absolute;
  width: 100%;
  height: 15px;
  left: 0;
  top: 60px;
  font-weight: 700;
  font-size: 13px;
  text-align: center;
  color: #A8A8A8;
}
.tank-info-hud .speed-info-container .rpm-canvas {
  position: absolute;
  left: 16px;
  top: 8px;
  width: 120px;
  height: 60px;
}
.tank-info-hud .tank-info-item {
  background: rgba(255, 255, 255, 0.8);
  border: 1px solid #CFCFCF;
  border-radius: 7px;
  box-sizing: border-box;
}
.tank-info-hud .speed-info-container {
  position: absolute;
  width: 153px;
  height: 87px;
  right: 20px;
  bottom: 59px;
}
.tank-info-hud .health-info-container .health-icon {
  position: absolute;
  left: 5px;
  top: 7px;
  width: 12px;
  height: 12px;
  background-image: url(/static/game/health-gear@3x.png);
  background-size: 12px;
  background-repeat: no-repeat;
}
.tank-info-hud .health-info-container .health-scale {
  position: absolute;
  left: 26px;
  top: 8px;
  width: 119px;
  height: 10px;
  background: #E4E4E4;
  border-radius: 2px;
  overflow: hidden;
}
.tank-info-hud .health-info-container .health-scale .health-scale-filled {
  position: absolute;
  height: 100%;
  left: 0px;
  top: 0px;
  background: #008FCC;
}
.tank-info-hud .health-info-container {
  position: absolute;
  width: 153px;
  height: 28px;
  right: 20px;
  bottom: 20px;
}
.tank-info-hud .tank-weapon-container {
  position: absolute;
  right: 186px;
  bottom: 20px;
  height: 134px;
  display: flex;
  flex-direction: column-reverse;
  flex-wrap: wrap-reverse;
  gap: 10px;
}
.tank-info-hud .tank-weapon-container .tank-weapon {
  position: relative;
  width: 58px;
  height: 58px;
  overflow: hidden;
}
.tank-info-hud .tank-weapon-container .tank-weapon .timer-background {
  position: absolute;
  width: 100%;
  left: 0;
  background: #D9D9D9;
}
.tank-info-hud .tank-weapon-container .tank-weapon .ammo-text {
  position: absolute;
  left: 0;
  bottom: 2px;
  width: 100%;
  height: 14px;
  line-height: 14px;
  font-weight: 700;
  font-size: 12px;
  text-align: center;
  color: #000000;
}
.tank-info-hud .tank-weapon-container .tank-weapon .weapon-icon {
  position: absolute;
  left: 6px;
  right: 6px;
  top: 10px;
  bottom: 10px;
  background-position: center;
  background-size: 100% auto;
  background-repeat: no-repeat;
}
.pause-overlay {
  position: absolute;
  display: flex;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  backdrop-filter: blur(20px);
  -webkit-backdrop-filter: blur(20px);
  backface-visibility: hidden;
  background: rgba(0, 0, 0, 0.08);
  justify-content: center;
  align-items: center;
}
.navigation-view {
  position: relative;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  justify-content: center;
  height: 100%;
}
.navigation-view .navigation-block {
  width: 100%;
  min-height: 100%;
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  align-items: center;
  justify-content: center;
}
.cloudy-navigation-header {
  position: relative;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  height: 42px;
  padding: 0 20px;
  margin-bottom: 10px;
  box-sizing: border-box;
}
.cloudy-navigation-header .cloudy-navigation-header-item {
  font-weight: bold;
  font-size: 24px;
  height: 40px;
}

.pause-menu-view {
  display: flex;
  flex-direction: column;
  width: 460px;
  max-height: 100%;
  box-sizing: border-box;
  padding: 10px 10px 0 10px;
}
.pause-menu-view .pause-menu-content {
  display: flex;
  flex-direction: column;
  padding: 10px 20px 5px;
  min-height: 0;
  overflow-y: auto;
}
.pause-menu-view .pause-menu-content > div:not(:last-child) {
  margin: 0 0 10px 0;
}
.pause-menu-view .pause-menu-content .subtitle {
  font-weight: bold;
  font-size: 18px;
  line-height: 26px;
  padding: 5px;
  color: #AAAAAA;
}
.pause-menu-view .pause-menu-content .pause-menu-button {
  font-weight: bold;
  font-size: 24px;
  height: 40px;
}
.pause-menu-view .pause-menu-content {
  padding-bottom: 10px;
}
.bottom-text-container {
  width: 400px;
  box-sizing: border-box;
  font-weight: bold;
  font-size: 18px;
  color: #AAAAAA;
  padding: 10px 0;
  text-align: center;
}
.pause-select-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 0;
  height: 40px;
  font-weight: 700;
  font-size: 24px;
}
.pause-select-row .small {
  height: 31px;
  font-size: 20px;
  font-weight: 700;
}
.pause-select-row select {
  opacity: 0;
  background: transparent;
  outline: none;
  border: none;
  box-shadow: none;
  color: transparent;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  cursor: pointer;
}
.axis-selector > .mapped-keys {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  padding: 0;
  gap: 5px;
}
.axis-selector > .mapped-keys .mapped-key {
  padding: 4px 10px;
}
.axis-selector .key-name {
  font-style: italic;
  padding: 4px 8px;
}
.axis-selector .key-name,
.axis-selector .mapped-key {
  font-size: 20px;
  line-height: 23px;
}
.pause-key-value-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 0;
  gap: 10px;
  height: 40px;
  font-weight: 700;
  font-size: 24px;
}

.pause-key-value-row.small {
  height: 31px;
  font-size: 20px;
  font-weight: 700;
}

.pause-select-row.small {
  height: 31px;
  font-size: 20px;
  font-weight: 700;
}
.controller-selector {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: flex-start;
  padding: 10px 0;
  gap: 10px;
  height: 100px;
  align-self: stretch;
  box-sizing: border-box;
}
.controller-view .controller-name {
  height: 15px;
  font-weight: 700;
  font-size: 13px;
  line-height: 15px;
  color: #FFFFFF;
}

.controller-view .controller-icon {
  width: 58px;
  height: 24px;
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
}

.controller-view .controller-subtitle {
  height: 13px;
  font-size: 11px;
  line-height: 13px;
  color: #FFFFFF;
}

.controller-view {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 4px;
  width: 117px;
  height: 80px;
  background: rgba(192, 192, 192, 0.56);
  border-radius: 10px;
  cursor: pointer;
  transition: background 0.2s ease-out;
}

.controller-view.selected {
  background: rgba(66, 66, 66, 0.56);
}
.pause-slider-row .slider-text-container .slider-description, .pause-slider-row .slider-text-container .slider-value {
  font-size: 24px;
  color: #fff;
  font-weight: bold;
}

.pause-slider-row .slider-scale {
  position: absolute;
  height: 100%;
  left: 0;
  top: 0;
  background: rgba(0, 158, 224, 0.6);
}

.pause-slider-row .slider-anti-scale {
  position: absolute;
  height: 100%;
  right: 0;
  top: 0;
  background: rgba(85, 85, 85, 0.25);
}

.pause-slider-row .slider-text-container {
  position: absolute;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 0 10px;
  box-sizing: border-box;
}

.pause-slider-row {
  height: 40px;
  width: 100%;
  border-radius: 5px;
  overflow: hidden;
  position: relative;
}
.tank-select-overlay {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: rgba(80, 80, 80, 0.3);
}
.tank-select-overlay .tank-select-menu {
  width: 860px;
  height: 431px;
  position: relative;
}
.tank-select-overlay .tank-select-menu .tank-title-container {
  position: absolute;
  width: 352px;
  height: 42px;
  left: 254px;
  top: 177px;
  background: #FFFFFF;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.35);
  border-radius: 13px;
}
.tank-select-overlay .tank-select-menu .tank-title-container .tank-title {
  font-weight: bold;
  font-size: 23px;
  text-align: center;
  line-height: 42px;
  width: 100%;
  height: 42px;
}
.tank-select-overlay .tank-select-menu .tank-description-menu {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
  position: absolute;
  width: 575px;
  height: 186px;
  left: 143px;
  top: 245px;
  background: #FFFFFF;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.25);
  border-radius: 13px;
}
.tank-select-overlay .tank-select-menu .tank-description-menu .tank-description-text {
  padding: 10px;
  width: 294px;
  box-sizing: border-box;
  font-weight: bold;
  text-align: center;
}
.tank-select-overlay .tank-select-menu .tank-description-menu .tank-description-stats {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 0;
  gap: 10px;
  flex-grow: 1;
}
.tank-select-overlay .tank-select-carousel {
  width: 860px;
  height: 188px;
  left: 0;
  top: 0;
}
.tank-select-overlay .tank-select-carousel-item {
  position: absolute;
  background: #FFFFFF;
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
  border-radius: 13px;
  width: 146px;
  height: 139px;
  cursor: pointer;
  overflow: hidden;
}
.tank-select-overlay .tank-select-carousel-item .tank-preview-canvas {
  width: 100%;
  height: 100%;
}
.tank-select-overlay .tank-carousel-button {
  width: 40px;
  height: 100%;
  background-size: 14px;
  background-position: center;
  background-repeat: no-repeat;
  position: absolute;
  cursor: pointer;
  top: 0;
  animation-duration: 0.2s;
}
.tank-select-overlay .tank-stat-row {
  box-sizing: border-box;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 8px 10px;
  gap: 9px;
  height: 40px;
  border-left: 2px solid #008FCC;
  width: 100%;
}
.tank-select-overlay .tank-stat-row .tank-stat-label {
  width: 40px;
  font-weight: bold;
  font-size: 14px;
}
.tank-select-overlay .tank-stat-row .tank-stat-value {
  width: 40px;
  font-weight: bold;
  font-size: 14px;
}
.tank-select-overlay .tank-stat-row .tank-stat-scale {
  flex-grow: 1;
  padding: 1px;
  background: #008FCC;
  height: 22px;
}
.tank-select-overlay .tank-stat-row .tank-stat-scale .tank-stat-scale-bar {
  width: 100%;
  height: 100%;
  background: #7CD8FF;
}
.tank-select-overlay .tank-carousel-button-left {
  left: 0;
  background-image: url(/static/game/carousel-left.png);
}
.tank-select-overlay .tank-carousel-button-left.tank-carousel-button-active {
  animation-name: tank-carousel-button-bounce-left;
}
.tank-select-overlay .tank-carousel-button-right {
  right: 0;
  background-image: url(/static/game/carousel-right.png);
}
.tank-select-overlay .tank-carousel-button-right.tank-carousel-button-active {
  animation-name: tank-carousel-button-bounce-right;
}

@keyframes tank-carousel-button-bounce-right {
  0% {
    transform: translateX(0);
  }
  50% {
    transform: translateX(5px);
  }
  100% {
    transform: translateX(0);
  }
}
@keyframes tank-carousel-button-bounce-left {
  0% {
    transform: translateX(0);
  }
  50% {
    transform: translateX(-5px);
  }
  100% {
    transform: translateX(0);
  }
}
.chat-container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 10px;
  padding: 10px;
  position: absolute;
  left: 0;
  top: 0;
  width: 300px;
  max-height: 400px;
}

.chat {
  width: 100%;
  overflow: hidden;
}

.chat-container .chat .message-container {
  padding-bottom: 5px;
}

.chat-container .chat .message {
  padding: 4px 7px;
  background: rgba(255, 255, 255, 0.8);
  border-radius: 3px;
  box-sizing: border-box;
  width: 300px;
}

.chat-container .input-container {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  padding: 0;
  gap: 10px;
  height: 37px;
  flex-shrink: 0;
  width: 100%;
}

.chat-container .input-container input.chat-input {
  box-sizing: border-box;
  padding: 10px;
  background: #FFFFFF;
  border: 1px solid #C5C5C5;
  border-radius: 5px;
  flex: 1;
  outline: none;
}
.overlay-menu .overlay-header {
  font-weight: 700;
  font-size: 20px;
  line-height: 23px;
  text-align: center;
  color: #000000;
}

.overlay-menu .overlay-header span.player-count {
  color: #A0A0A0;
}

.overlay-menu .overlay-text {
  font-weight: 700;
  font-size: 14px;
  line-height: 16px;
  text-align: center;
  color: #009EE0;
}

.overlay-menu {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 4px;
  padding: 14px 10px 12px 10px;
  width: 380px;
  left: calc(50% - 190px);
  background: white;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.4);
  border-radius: 20px;
  transition: opacity 0.3s, top 0.3s;
  top: 60px;
  opacity: 0;
}

.overlay-menu.shown {
  opacity: 1;
  top: 50px;
}
.player-list-overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  right: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 50px;
}
.player-list-overlay .player-list-menu {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  width: 706px;
  padding: 10px 20px;
  gap: 10px;
}
.player-list-overlay .player-list-menu .player-list-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  width: 100%;
}
.player-list-overlay .player-list-menu .player-list-cloud {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 10px 10px 5px;
  background: rgba(255, 255, 255, 0.7);
  border: 1px solid #D7D7D7;
  border-radius: 20px;
  box-sizing: border-box;
  width: 100%;
}
.player-list-overlay .player-list-menu .player-list-cloud .player-list-table {
  box-sizing: border-box;
  width: 100%;
  position: relative;
}
.player-list-overlay .player-list-menu .player-list-cloud .player-list-table tr {
  height: 36px;
}
.player-list-overlay .player-list-menu .player-list-cloud .player-list-table .player-list-table-separator {
  left: 0;
  right: 0;
  height: 1px;
  position: absolute;
}
.player-list-overlay .player-list-menu .player-list-cloud .player-list-table .player-list-table-separator:after {
  content: "";
  display: block;
  position: absolute;
  left: 15px;
  right: 15px;
  height: 1px;
  background: black;
}
.cloud {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  padding: 4px 10px;
  border-radius: 5px;
  background: rgba(58, 58, 58, 0.4);
  color: white;
  box-sizing: border-box;
}
.cloud.stretch {
  align-self: stretch;
}
.cloud.round {
  border-radius: 10px;
}
.cloud.button {
  cursor: pointer;
}
.cloud.button:hover {
  background-color: rgba(58, 58, 58, 0.8);
}
.cloud.blue {
  background-color: rgba(0, 158, 224, 0.6);
}
.cloud.blue.button:hover {
  background-color: rgba(0, 158, 224, 0.8);
}
.cloud.red {
  background-color: rgba(224, 0, 40, 0.6);
}
.cloud.red.button:hover {
  background-color: rgba(224, 0, 40, 0.8);
}
.cloud.left-arrowed:before, .cloud.right-arrowed:before {
  content: " ";
  background-repeat: no-repeat;
  background-size: auto 23px;
  display: block;
  position: absolute;
  top: 0;
  width: 21px;
  height: 100%;
  opacity: 0.4;
}
.cloud.left-arrowed:hover:before, .cloud.right-arrowed:hover:before {
  opacity: 0.8;
}
.cloud.left-arrowed:before {
  background-position: left center;
  background-image: url(/static/hub/navigate-back@3x.png);
  left: -22px;
}
.cloud.right-arrowed:before {
  background-position: right center;
  background-image: url(/static/hub/navigate-forward@3x.png);
  right: -22px;
}
.events-hud {
  position: absolute;
  bottom: 10px;
  right: 10px;
}

.event-view {
  position: absolute;
  right: 0;
  transition: bottom 0.3s ease-out;
}
.loading-text {
  width: 100%;
  text-align: center;
  top: 50%;
  margin-top: -100px;
  user-select: none;
  cursor: default;
  position: absolute;
}

.loading-overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  display: flex;
}

.loading-view {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 10px 20px 5px;
  gap: 10px;
  width: 100%;
  flex: none;
  flex-grow: 0;
}
.loading-view .tank-image {
  width: 100px;
  height: 55px;
  background-image: url("/static/game/tank-gray@3x.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: auto 36px;
  flex: none;
  flex-grow: 0;
}
.loading-view .loading-header {
  height: 28px;
  font-weight: 700;
  font-size: 24px;
  color: gray;
  flex: none;
  flex-grow: 0;
}
.loading-view .loading-scale {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  padding: 0;
  width: 318px;
  height: 18px;
  background: #D4D4D4;
  border-radius: 5px;
  overflow: hidden;
  flex: none;
  flex-grow: 0;
}
.loading-view .loading-scale .scale-fill {
  height: 100%;
  background: #009EE0;
}
.loading-view .loading-error-description {
  width: 320px;
  font-weight: 400;
  font-size: 16px;
  line-height: 19px;
  text-align: center;
  color: #515151;
  flex: none;
  flex-grow: 0;
}
.loading-view .loading-error-button-container {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 10px;
  flex: none;
  flex-grow: 0;
}
.loading-view .loading-error-button-container .loading-error-button {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 0;
  width: 400px;
  height: 31px;
  background: #009EE0;
  border-radius: 5px;
  font-weight: 700;
  font-size: 20px;
  line-height: 23px;
  color: #FFFFFF;
  flex: none;
  align-self: stretch;
  flex-grow: 0;
  cursor: pointer;
}
.loading-view .loading-error-button-container .loading-error-button.neutral {
  background: #AAAAAA;
}
.hub-body {
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  overflow: auto;
}
.hub-body .dimmer {
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.08);
  backdrop-filter: blur(10px);
}
.main-menu {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 20px;
}
.main-menu .card {
  position: relative;
  box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.25);
  background-color: white;
  box-sizing: border-box;
  font-style: normal;
  font-weight: 700;
  cursor: pointer;
}
.main-menu .card.blue {
  background-color: #008FCC;
}
.main-menu .vstack {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 0px;
  gap: 10px;
  flex: none;
  align-self: stretch;
  flex-grow: 0;
}
.main-menu .play-button {
  width: 225px;
  height: 322px;
}
.main-menu .play-button .card-icon {
  /* play */
  position: absolute;
  width: 114px;
  height: 78px;
  top: 77px;
  left: 0;
  width: 100%;
  background-image: url(/static/hub/play@3x.png);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: auto 100%;
}
.main-menu .play-button .card-title {
  position: absolute;
  top: 190px;
  left: 0;
  width: 100%;
  height: 42px;
  font-size: 36px;
  line-height: 42px;
  text-align: center;
  color: #FFFFFF;
}
.main-menu .play-button .card-subtitle {
  position: absolute;
  top: 235px;
  left: 0;
  width: 100%;
  height: 19px;
  font-size: 16px;
  line-height: 19px;
  text-align: center;
  color: rgba(255, 255, 255, 0.8);
}
.main-menu .rooms-button {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 13px 0px;
  gap: 20px;
  width: 225px;
  height: 50px;
}
.main-menu .rooms-button .card-icon {
  background-image: url(/static/hub/hamburger@3x.png);
  background-size: 100%;
  background-repeat: no-repeat;
  background-position: center;
  width: 18px;
  height: 12px;
}
.main-menu .rooms-button .card-title {
  height: 19px;
  font-size: 16px;
  line-height: 19px;
  color: #FFFFFF;
}
.main-menu .vstack-right-item {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 14px 15px;
  gap: 15px;
  width: 403px;
  height: 88px;
}
.main-menu .vstack-right-item .card-icon {
  background-size: 100%;
  background-repeat: no-repeat;
  width: 60px;
  height: 60px;
}
.main-menu .vstack-right-item .card-contents {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
}
.main-menu .vstack-right-item .card-title {
  height: 28px;
  font-size: 24px;
  line-height: 28px;
  color: #000000;
  align-self: stretch;
}
.main-menu .vstack-right-item .card-subtitle {
  height: 19px;
  font-size: 16px;
  line-height: 19px;
  color: #7F7F7F;
  align-self: stretch;
}
.room-list-view {
  display: flex;
  flex-direction: column;
  align-content: center;
  box-sizing: border-box;
  max-height: 100%;
  padding: 10px 10px 0 10px;
}
.room-list-view .room-list-view-contents {
  overflow-y: auto;
  padding-bottom: 10px;
}
.room-list {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 10px;
  box-sizing: border-box;
  width: 793px;
  background: #FFFFFF;
  border-radius: 13px;
  margin: 15px;
  box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.25);
}
.room-list .room-list-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 8px 10px;
  width: 100%;
  box-sizing: border-box;
  margin-bottom: 4px;
}
.room-list .room-list-header .room-list-title {
  font-size: 24px;
  line-height: 28px;
  color: black;
  font-weight: bold;
}
.room-list .room-list-header .room-list-action-button {
  color: #0f7fff;
  font-size: 15px;
  line-height: 16px;
  padding: 6px;
  cursor: pointer;
}
.room-list .room-list-contents {
  width: 100%;
  box-sizing: border-box;
  padding: 0 3px;
}
.room-list .room-list-contents .room-list-separator {
  width: 100%;
  height: 1px;
  border-top: 1px dashed #A8A8A8;
}
.room-list .room-list-empty-message {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  gap: 10px;
  box-sizing: border-box;
  padding: 30px 0;
}
.room-list .room-list-empty-message .tank-icon {
  width: 111px;
  height: 71px;
  background: url("../hub/tank@3x.png") no-repeat center;
  background-size: contain;
  opacity: 0.2;
}
.room-list .room-list-empty-message .text {
  font-size: 16px;
  line-height: 21px;
  color: #AAAAAA;
  text-align: center;
  width: 500px;
}
.room-list .room-list-empty-message .text a {
  color: #0f7fff;
  text-decoration: underline;
  cursor: pointer;
}
.room-cell-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 12px;
  padding: 0 10px 0 3px;
  width: 100%;
  box-sizing: border-box;
}

.room-cell-container .room-cell-line {
  background: #009EE0;
  height: 63px;
  width: 2px;
}

.room-cell-container .room-cell {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 10px 10px 10px 4px;
  height: 77px;
  box-sizing: border-box;
}

.room-cell-container .room-cell .room-cell-top-line {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  height: 21px;
  gap: 6px;
}

.room-cell-container .room-cell .room-cell-top-line .room-cell-title {
  height: 16px;
  font-size: 14px;
  line-height: 16px;
  font-weight: bold;
}

.room-cell-container .room-cell .room-cell-bottom-line {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 5px 0 0;
  height: 31px;
  gap: 10px;
}

.room-cell-container .room-cell .room-cell-bottom-line .room-cell-map-icon {
  width: 26px;
  height: 26px;
  background: #7CD8FF;
}

.room-cell-container .room-cell .room-cell-bottom-line .room-cell-map-description {
  height: 13px;
  font-size: 11px;
  line-height: 13px;
  color: #605F5F;
}

.room-cell-container .room-cell .room-cell-bottom-line .room-cell-map-description span.map-name {
  font-weight: normal;
}

.room-cell-container .room-cell .room-cell-bottom-line .room-cell-map-description span.map-mode {
  font-weight: bold;
}

.room-cell-container .spacer {
  flex-grow: 1;
}

.room-cell-container .room-cell-button {
  width: 183px;
  height: 50px;
  border-radius: 13px;
  font-size: 24px;
  font-weight: bold;
  transform: translateX(-10px);
  opacity: 0;
  transition: transform 0.3s ease-out, opacity 0.3s ease-out;
}

.room-cell-container:hover > .room-cell-button {
  transform: translateX(0);
  opacity: 1;
}
.room-cell-status {
  display: flex;
  flex-direction: row;
  padding: 3px 6px;
  height: 21px;
  background: #FFFFFF;
  box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.25);
  border-radius: 10px;
  box-sizing: border-box;
  align-items: center;
  gap: 2px;
}

.room-cell-status .room-cell-status-text {
  font-size: 10px;
  line-height: 12px;
  color: #808080;
}

.room-cell-status .room-cell-status-icon {
  width: 11px;
  height: 11px;
  background-size: contain;
}

.room-cell-status .room-cell-status-icon.turned {
  margin: 0 4px;
  transform: rotate(-45deg);
}
.loading-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  box-sizing: border-box;
  padding: 30px 0;
}
.loading-container .loading-icon {
  width: 111px;
  height: 71px;
  background: url("../hub/tank@3x.png") no-repeat center;
  background-size: contain;
  opacity: 0.2;
}
.loading-container .loading-title, .loading-container .loading-subtitle {
  color: #AAAAAA;
  text-align: center;
  width: 500px;
}
.loading-container .loading-title {
  font-size: 36px;
  line-height: 42px;
}
.loading-container .loading-subtitle {
  font-size: 16px;
  line-height: 21px;
}
.loading-container .loading-subtitle a {
  color: #0f7fff;
  text-decoration: underline;
  cursor: pointer;
}
.game-create-view {
  text-align: center;
}
.game-create-view .game-create-button {
  width: 181px;
  height: 47px;
  border-radius: 13px;
  background-color: #008FCC;
  background-repeat: no-repeat;
  background-position: calc(100% - 13px) center;
  background-size: 13px;
  font-weight: bold;
  font-size: 24px;
  margin-top: 30px;
}
.game-create-view .game-create-button:not(:disabled) {
  background-image: url(/static/hub/detail-disclosure.png);
}
.pause-key-input-row .autoresize-input-cloud {
  display: flex;
  flex: 0 1 auto;
  flex-direction: row;
  justify-content: flex-start;
  min-width: 0;
  overflow: hidden;
}
.pause-key-input-row .autoresize-input-cloud input::placeholder {
  color: rgba(255, 255, 255, 0.5);
}
.pause-key-input-row .autoresize-input-cloud span {
  white-space: pre;
}

.pause-input-row {
  position: relative;
  display: flex;
  flex-direction: row;
  gap: 10px;
  font-size: 24px;
  font-weight: 700;
  min-width: 0;
}
.pause-input-row .input-container-cloud {
  flex-grow: 1;
  height: 40px;
}
.pause-input-row input {
  width: 100%;
  font: inherit;
  padding: 0;
  margin: 0;
  border: none;
  background: none;
  color: inherit;
  white-space: pre;
  outline: none;
}
.pause-input-row input::placeholder {
  color: rgba(255, 255, 255, 0.5);
}
.pause-input-row .pause-input-row-detail-disclosure {
  width: 40px;
  height: 40px;
  background-image: url(/static/hub/detail-disclosure@3x.png);
  background-size: 9px 16px;
  background-position: center;
  background-repeat: no-repeat;
}
.autoresize-input {
  position: relative;
}
.autoresize-input span, .autoresize-input input {
  font: inherit;
  padding: 0;
  margin: 0;
  border: none;
  background: none;
  color: inherit;
  white-space: pre;
}
.autoresize-input input {
  width: 100%;
  outline: none;
}
.autoresize-input span {
  visibility: hidden;
  position: absolute;
  left: 0;
  top: 0;
}
.tip-list {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 5px;
  margin-bottom: 10px;
}
.tip-list .tip {
  font-weight: bold;
  text-align: center;
}
.tip-list .tip.error {
  background: rgb(224, 0, 40);
}
.tip-list .tip.warning {
  background: rgb(236, 126, 64);
}
.tip-list .tip.fine {
  background: rgb(0, 177, 18);
}
.password-strength.red .input-container-cloud {
  background: rgba(224, 0, 40, 0.6);
}

.password-strength.weak .input-container-cloud {
  background: rgba(236, 126, 64, 0.6);
}

.password-strength.ok .input-container-cloud {
  background: rgba(0, 177, 18, 0.6);
}
.basic-event-view {
  padding: 15px;
  transition: bottom 0.3s, opacity 0.5s;
  color: #2D2D2D;
  background: white;
  border-radius: 3px;
  box-shadow: rgba(0, 0, 0, 0.3) 0 0 5px;
  width: 250px;
  height: fit-content;
}
.map-editor-sidebar {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 0px;
  position: absolute;
  height: 100%;
  left: 0px;
  top: 0px;
  background: #FFFFFF;
  overflow: hidden;
}
.map-editor-sidebar .map-editor-sidebar-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 0px 10px;
  gap: 10px;
  height: 40px;
  border-bottom: 2px solid #C8C8C8;
  align-self: stretch;
}
.map-editor-sidebar .map-editor-sidebar-header-side {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px;
  gap: 10px;
  align-self: stretch;
}
.map-editor-sidebar .map-editor-sidebar-header-icon {
  width: 40px;
  height: 40px;
  background-image: url("/static/game/tank-gray@3x.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}
.map-editor-sidebar .map-editor-sidebar-header-text {
  font-weight: 700;
  font-size: 14px;
  color: #000000;
  height: 40px;
  line-height: 40px;
  flex-grow: 1;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}
.map-editor-sidebar input.map-editor-sidebar-header-text {
  font-family: "Roboto";
  box-shadow: none;
  outline: none;
  margin: 0;
  padding: 0;
  background: white;
  border: 2px solid rgb(200, 200, 200);
  border-radius: 5px;
  height: 20px;
  padding: 2px 5px;
  min-width: 100px;
}
.map-editor-sidebar .map-editor-sidebar-close-button {
  width: 40px;
  height: 40px;
  background-image: url("../map-editor/sidebar@3x.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: 28px 22px;
  cursor: pointer;
}
.map-editor-sidebar .sidebar-drag-edge {
  position: absolute;
  top: 0;
  right: 0;
  height: 100%;
  width: 2px;
  background-color: rgb(200, 200, 200);
  cursor: ew-resize;
}
.map-editor-sidebar .sidebar-drag-edge:hover {
  width: 4px;
  background-color: rgb(200, 200, 200);
}

.map-editor-sidebar-show-button {
  position: absolute;
  left: 20px;
  top: 20px;
  width: 47px;
  height: 47px;
  background-color: white;
  background-image: url("../map-editor/sidebar@3x.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: 28px 22px;
  cursor: pointer;
  border: solid 1px #C8C8C8;
  border-radius: 5px;
}
.tree-view {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  align-self: stretch;
  padding: 0 0 0 10px;
  flex-grow: 1;
  min-height: 0;
  outline: none;
}
.tree-view [role=treeitem] {
  outline: none;
}
.tree-view .tree-view-cursor {
  position: absolute;
  height: 3px;
  border: 0px dashed gray;
  border-bottom-width: 1px;
  border-left-width: 1px;
  right: 0px;
  z-index: 1;
  pointer-events: none;
}
.tree-view .tree-row {
  height: 100%;
  box-sizing: border-box;
  padding-right: 10px;
  position: relative;
}
.tree-view .tree-row:hover:not(.selected) .background {
  background-color: rgb(240, 240, 240);
  border-radius: 5px;
}
.tree-view .tree-row.will-receive-drop .background {
  border: 1px dashed gray;
}
.tree-view .tree-row.selected .background {
  background-color: rgb(220, 220, 220);
}
.tree-view .tree-row.selected-start .background {
  border-radius: 5px 5px 0 0;
}
.tree-view .tree-row.selected-end .background {
  border-radius: 0 0 5px 5px;
}
.tree-view .tree-row.selected-start.selected-end .background, .tree-view .tree-row.will-receive-drop .background {
  border-radius: 5px;
}
.tree-view .tree-row .background {
  position: absolute;
  left: 0px;
  top: 0px;
  right: 10px;
  bottom: 0px;
}
.tree-view .tree-row .inner {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0 0 0 5px;
  gap: 6px;
  height: 100%;
}
.tree-view .tree-row .inner .text {
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}
.tree-view .tree-row input {
  background: white;
  box-shadow: none;
  flex-grow: 1;
  align-self: stretch;
  font-size: 14px;
  font-family: "Roboto";
  border: 2px solid rgb(200, 200, 200);
  border-radius: 5px;
  padding: 2px 5px;
  outline: none;
}
.tree-view .expand-arrow {
  background-position: center;
  background-size: 100% auto;
  background-repeat: no-repeat;
  background-image: url(/static/map-editor/expand@3x.png);
  width: 12px;
  height: 12px;
  transform: rotate(270deg);
  visibility: hidden;
  cursor: pointer;
}
.tree-view .expand-arrow.open {
  transform: none;
}

.tree-view:hover .expand-arrow:not(.hidden) {
  visibility: visible;
}

.drag-container {
  position: absolute;
  left: 0px;
  top: 0px;
  pointer-events: none;
}

.drag-preview .inner {
  display: inline-block;
  padding: 5px;
  background-color: white;
  font-size: 12px;
  border-radius: 5px;
  box-shadow: rgba(0, 0, 0, 0.3) 0 0 15px;
}
.sidebar-sections {
  align-self: stretch;
  flex-grow: 1;
  min-height: 0;
}
.sidebar-section-header {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px 10px 0px 5px;
  height: 40px;
  gap: 5px;
  flex: none;
  align-self: stretch;
  font-weight: 700;
  color: #000000;
  box-sizing: border-box;
}
.sidebar-section-header .sidebar-section-header-text {
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}
.sidebar-section-header .expand-arrow {
  background-position: center;
  background-size: 100% auto;
  background-repeat: no-repeat;
  background-image: url(/static/map-editor/expand@3x.png);
  width: 12px;
  height: 12px;
  transform: rotate(270deg);
  cursor: pointer;
}
.sidebar-section-header .expand-arrow.open {
  transform: none;
}

.sidebar-section {
  position: relative;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 0px;
  width: 100%;
  align-self: stretch;
}
.sidebar-section .drag-edge {
  position: absolute;
  bottom: 0px;
  left: 0px;
  width: 100%;
  height: 2px;
  background-color: rgb(200, 200, 200);
  cursor: ns-resize;
}
.sidebar-section .drag-edge:hover {
  height: 4px;
  background-color: rgb(200, 200, 200);
}
.sidebar-section:last-child {
  padding-bottom: 0;
}
.properties-container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  align-self: stretch;
  padding: 0 10px;
  flex-grow: 1;
  min-height: 0;
  overflow-y: auto;
}
.properties-container .property-header {
  padding: 3px 0px;
  height: 20px;
  align-self: stretch;
  font-size: 12px;
  line-height: 20px;
  color: #000000;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  flex-shrink: 0;
}
.properties-container .no-properties-text {
  width: 100%;
  height: 100%;
  display: flex;
  align-content: center;
  align-items: center;
  justify-content: center;
  color: rgb(100, 100, 100);
  font-variant: all-small-caps;
  padding-bottom: 20px;
  text-align: center;
}
.properties-container .property-inputs-container {
  display: flex;
  flex-direction: row;
  padding: 3px 0px;
  gap: 5px;
  align-self: stretch;
  box-sizing: border-box;
}
.properties-container .property-inputs-container .property-entity {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  flex-grow: 1;
  min-height: 0;
  align-self: stretch;
  border: 1px solid #C8C8C8;
  border-radius: 5px;
  padding: 0px 5px;
  height: 23px;
}
.properties-container .property-inputs-container .property-entity.over {
  background-color: rgb(220, 220, 220);
}
.properties-container .property-inputs-container .property-entity .remove-button {
  width: 20px;
  height: 100%;
  background-position: center;
  background-size: 10px 10px;
  background-repeat: no-repeat;
  background-image: url(/static/map-editor/clear@3x.png);
  cursor: pointer;
}
.properties-container .property-inputs-container .property-input {
  box-sizing: border-box;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px 0px 0px 5px;
  gap: 5px;
  border: 1px solid #C8C8C8;
  border-radius: 5px;
  flex-grow: 1;
  height: 23px;
}
.properties-container .property-inputs-container .property-input .property-input-prefix {
  font-size: 12px;
  font-weight: 700;
  color: rgb(150, 150, 150);
  line-height: 12px;
  height: 12px;
}
.properties-container .property-inputs-container .property-input .input-wrapper {
  position: relative;
  align-self: stretch;
  flex-grow: 1;
}
.properties-container .property-inputs-container .property-input .input-wrapper input, .properties-container .property-inputs-container .property-input .input-wrapper select {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  background: none;
  border: none;
  outline: none;
  box-shadow: none;
  font-family: "Roboto";
  font-size: 14px;
  appearance: none;
  -webkit-appearance: none;
}
.drop-release-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.5);
  backdrop-filter: blur(5px);
  color: gray;
  font-weight: 700;
  font-variant: all-small-caps;
  font-size: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.drop-release-overlay::after {
  content: "";
  position: absolute;
  left: 20px;
  top: 20px;
  bottom: 20px;
  right: 20px;
  border: 5px dashed rgb(200, 200, 200);
  border-radius: 30px;
}
.editor-toolbar {
  position: absolute;
  right: 20px;
  top: 20px;
  max-height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  overflow-y: auto;
}
.editor-toolbar .editor-toollist {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.editor-toolbar .editor-block-select {
  background-size: 32px;
}
.editor-toolbar .tool {
  position: relative;
  background-size: 20px auto;
}
.editor-toolbar .tool .tool-shortcut {
  font-family: "Ropa Sans", "Roboto", sans-serif;
  font-weight: 700;
  position: absolute;
  left: 3px;
  top: 3px;
  font-size: 10px;
  color: #C8C8C8;
}
.editor-toolbar .tool.selected {
  border: solid 2px #00c4ff;
}
.editor-toolbar .editor-block-select, .editor-toolbar .tool {
  background-color: white;
  border-radius: 5px;
  border: solid 1px #C8C8C8;
  box-sizing: border-box;
  cursor: pointer;
  background-position: center;
  background-repeat: no-repeat;
  width: 47px;
  height: 47px;
}
.thickness-text {
  width: 25px;
  text-align: center;
}

.round-brush {
  background-image: url(/static/map-editor/round-brush.png);
  background-size: 20px;
  background-position: center;
  background-repeat: no-repeat;
}

.square-brush {
  background-image: url(/static/map-editor/square-brush.png);
  background-size: 20px;
  background-position: center;
  background-repeat: no-repeat;
}
.range-input {
  position: relative;
  height: 36px;
  width: 150px;
  box-sizing: border-box;
}
.range-input .track {
  position: relative;
  top: 50%;
  height: 6px;
  margin-top: -3px;
  width: 100%;
  background: #dcdcdc;
  border-radius: 3px;
}
.range-input .thumb-container {
  position: absolute;
  top: 0;
  left: 10px;
  right: 10px;
  height: 100%;
}
.range-input .thumb {
  position: relative;
  border-radius: 50%;
  background: white;
  top: 50%;
  height: 14px;
  width: 14px;
  margin-left: -7px;
  margin-top: -7px;
  cursor: pointer;
  transition: margin 0.3s, top 0.3s, width 0.3s, height 0.3s;
  box-shadow: rgba(0, 0, 0, 0.3) 0 0 3px;
}
.range-input .thumb:hover, .range-input .thumb:active {
  height: 20px;
  width: 20px;
  margin-left: -10px;
  margin-top: -10px;
}
.block-box {
  background-size: 32px;
  background-position: center;
  background-repeat: no-repeat;
}
.editor-tool-settings {
  position: absolute;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
  right: 77px;
  top: 20px;
  height: 47px;
  box-sizing: border-box;
  transition: opacity 0.5s, width 0.3s;
}
.editor-tool-settings .box {
  height: 100%;
  border-radius: 5px;
  box-sizing: border-box;
  padding: 0 10px;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
  background-color: white;
  border: solid 1px #C8C8C8;
}
.editor-tool-settings .box.selected {
  border: solid 2px #00c4ff;
}
.editor-tool-settings .box.button {
  cursor: pointer;
}
.editor-tool-settings .box.square {
  width: 47px;
  padding: 0;
}
.editor-tool-settings button {
  height: 35px;
  display: inline-block;
  margin: 5px;
  line-height: 0;
  font-size: 12px;
  font-weight: 200;
  background: white;
  box-shadow: none;
  border: 1px solid #bbb;
  color: #444444;
}